diff --git a/configure b/configure
index a5bdd58..d56acea 100755
--- a/configure
+++ b/configure
@@ -48,6 +48,9 @@ Dependency options:
   --with-aspell-inc=[path]     Path to Aspell include files
   --with-aspell-lib=[path]     Path to Aspell library files
   --disable-enchant            Disable use of enchant
+  --disable-plugins            Disable use of Plugins
+  --enable-plugins             Enable Psi Plugin support
+
 
 EOT
 }
@@ -274,6 +277,16 @@ while [ $# -gt 0 ]; do
 			shift
 			;;
 
+        --disable-plugins)
+            QC_DISABLE_plugins="Y"
+            shift
+            ;;
+
+        --enable-plugins)
+            QC_ENABLE_PLUGINS="Y"
+            shift
+            ;;
+
 		--verbose)
 			QC_VERBOSE="Y"
 			shift
@@ -318,6 +331,8 @@ echo QC_DISABLE_aspell=$QC_DISABLE_aspell
 echo QC_WITH_ASPELL_INC=$QC_WITH_ASPELL_INC
 echo QC_WITH_ASPELL_LIB=$QC_WITH_ASPELL_LIB
 echo QC_DISABLE_enchant=$QC_DISABLE_enchant
+echo QC_DISABLE_plugins=$QC_DISABLE_plugins
+echo QC_ENABLE_PLUGINS=$QC_ENABLE_PLUGINS
 echo
 fi
 
@@ -1614,6 +1629,48 @@ public:
 #endif
 	}
 };
+#line 1 "plugins.qcm"
+/*
+-----BEGIN QCMOD-----
+name: Plugins
+arg: enable-plugins,Enable Psi Plugin support
+
+-----END QCMOD-----
+*/
+
+//----------------------------------------------------------------------------
+// qc_plugins
+//----------------------------------------------------------------------------
+class qc_plugins : public ConfObj
+{
+public:
+   qc_plugins(Conf *c) : ConfObj(c) {}
+   QString name() const { return "Plugins"; }
+   QString shortname() const { return "Plugins"; }
+   bool exec()
+   {
+       QString s;
+      
+       // Check if Jingle was enabled explicitly
+       s = conf->getenv("QC_ENABLE_PLUGINS");
+       if(s.isEmpty())
+           return false;
+       
+       conf->addDefine("PSI_PLUGINS");
+       
+       // Finish
+       conf->addExtra("CONFIG += psi_plugins");                              
+
+       qWarning("");
+       qWarning("");
+       qWarning("        !!!!!!!!!!!!!! WARNING !!!!!!!!!!!!!!!");
+       qWarning("        PLUGIN SUPPORT IS STILL UNFINISHED !!!");
+       qWarning("        THE PLUGIN INTERFACE /WILL/ CHANGE !!!");
+       qWarning("        USE AT YOUR OWN RISK !!!");
+            
+       return true;
+   }
+};
 
 EOT
 cat >$1/modules_new.cpp <<EOT
@@ -1665,6 +1722,10 @@ cat >$1/modules_new.cpp <<EOT
     o = new qc_conf(conf);
     o->required = true;
     o->disabled = false;
+	o = new qc_plugins(conf);
+	o->required = false;
+	o->disabled = false;
+
 
 EOT
 cat >$1/conf4.h <<EOT
@@ -2710,6 +2771,9 @@ export QC_WITH_ASPELL_INC
 export QC_WITH_ASPELL_LIB
 export QC_DISABLE_enchant
 export QC_VERBOSE
+export QC_DISABLE_plugins
+export QC_ENABLE_PLUGINS
+
 rm -rf .qconftemp
 (
 	mkdir .qconftemp
